> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add an item

> Add an item

### Path parameters

<ParamField path="id" type="string" required>
  Cart ID
</ParamField>

### Request body

`AddCartItemRequest`

<ParamField body="description" type="string,null" />

<ParamField body="image_url" type="string,null" />

<ParamField body="name" type="string" required />

<ParamField body="original_price" type="string,null">
  Decimal original price as a string.
</ParamField>

<ParamField body="product_id" type="string,null" />

<ParamField body="quantity" type="integer (int32)" required />

<ParamField body="requires_shipping" type="boolean,null" />

<ParamField body="sku" type="string" required />

<ParamField body="unit_price" type="string" required>
  Decimal unit price as a string.
</ParamField>

### Responses

<ResponseField name="201" type="CartItemResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/carts/{id}/items' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "description": null,
    "image_url": null,
    "name": "string",
    "original_price": null,
    "product_id": null,
    "quantity": 1,
    "requires_shipping": null,
    "sku": "string",
    "unit_price": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "discount_amount": "string",
    "id": "string",
    "name": "string",
    "product_id": null,
    "quantity": 1,
    "sku": "string",
    "total": "string",
    "unit_price": "string"
  }
  ```
</ResponseExample>
